const lookupCambridge = (data, dictionary) => {
  let url;
  data = data.toLowerCase().trim();
  if (dictionary === 'british-grammar') {
    url = `https://dictionary.cambridge.org/grammar/british-grammar/${data}`;
  } else if (dictionary === 'thesaurus') {
    url = `https://dictionary.cambridge.org/thesaurus/${data}`;
  } else {
    url = `https://dictionary.cambridge.org/dictionary/${dictionary}/${data}`;  
  }
  
  chrome.windows.create({
    url,
    type: 'popup',
    width: 500,
    height: 610,
    left: screen.width / 2 - 500 / 2,
    top: screen.height / 2 - 610 / 2,
  });
}

const capitalize = (str = 'english') => {
  str = str
    .split('-')
    .map((word) => {
      return word[0].toUpperCase() + word.substring(1);
    })
    .join('-');
  return str;
}

export { lookupCambridge , capitalize }